### Method

# WPEPlatform InputMethodContext get_input_purpose

#### Declaration [src]

    WPEInputPurpose
    wpe_input_method_context_get_input_purpose (
      WPEInputMethodContext* context
    )

#### Description [src]

Get the purpose of the text field that `context` is connected to.

Gets property | `WPEPlatform.InputMethodContext:input-purpose`

#### Return value

Type: `WPEInputPurpose`

A `WPEInputPurpose`.